Subject: Bug#1339:

From: Bryan Roessler <[email-masked]>
Date: Mon, 3 Dec 2018 18:47:15 -0500

I have found that the issue appears to be related to the keycodes setting.

Running:

>setxkbmap -model pc105 -layout us -keycodes "xfree86+aliases(qwerty)"

Gets the keyboard keys to work properly again.

Subsequently, running:

>setxkbmap -model pc105 -layout us -keycodes "evdev+aliases(qwerty)"

Results in the keyboard keys not working.

However, the output of setxkbmap -print does not change after that command
is issued even though it fixes the problem:

>setxkbmap -model pc105 -layout us -keycodes "evdev+aliases(qwerty)" ###
keyboard keys stop working properly
>setxkbmap -print
xkb_keymap {
    xkb_keycodes  { include "evdev+aliases(qwerty)"    };
    xkb_types     { include "complete"    };
    xkb_compat    { include "complete"    };
    xkb_symbols   { include "pc+us+inet(evdev)"    };
    xkb_geometry  { include "pc(pc105)"    };
};
>setxkbmap -model pc105 -layout us -keycodes "xfree86+aliases(qwerty)" ###
keyboard keys start working properly
>setxkbmap -print
xkb_keymap {
    xkb_keycodes  { include "evdev+aliases(qwerty)"    };
    xkb_types     { include "complete"    };
    xkb_compat    { include "complete"    };
    xkb_symbols   { include "pc+us+inet(evdev)"    };
    xkb_geometry  { include "pc(pc105)"    };
};

I would assume that changing the keycodes setting would also change the
xkb_keycodes returned from setxkbmap. I do not understand why this bug is
happening, and unfortunately my understanding of X keyboard mappings goes
no further. I wish there was a way to pass this keycodes directive in x2go,
but I do not know which component of this setup is the guilty party.

Hopefully this can at the least help someone with the same issue.